package com.casic.PgInterface.test;

import com.casic.PgInterface.intelPlan.dto.PgPlanParams;
import com.casic.PgInterface.intelPlan.dto.PgPlanTask;

import java.util.ArrayList;
import java.util.List;

public class PlanData {

    public PgPlanParams getPlanData(){

        PgPlanParams pgPlanParams=new PgPlanParams();
        List<PgPlanTask> pgPlanTaskList=new ArrayList<>();

        PgPlanTask pgPlanTask=new PgPlanTask();
        pgPlanTask.setLineName("10KV");
        pgPlanTask.setTaskKey("test1");
        List<String> acuList=new ArrayList<>();

        acuList.add("01区");
        acuList.add("02区");
        acuList.add("03区");
        acuList.add("04区");
        acuList.add("05区");
        pgPlanTask.setPileAcuList(acuList);

        PgPlanTask pgPlanTask1=new PgPlanTask();
        pgPlanTask1.setLineName("10KV");
        pgPlanTask1.setTaskKey("test2");
        List<String> acuList1=new ArrayList<>();

        acuList1.add("11区");
        acuList1.add("12区");
        acuList1.add("13区");
        pgPlanTask1.setPileAcuList(acuList1);

        pgPlanTaskList.add(pgPlanTask);
        pgPlanTaskList.add(pgPlanTask1);
        pgPlanParams.setPgPlanTaskList(pgPlanTaskList);

        return pgPlanParams;
    }

}